{ config, lib, pkgs, ... }:

lib.mkIf config.sbruder.gui.enable {
  # used to set up system wide configuration, actual configuration happens in
  # home-manager
  programs.sway = {
    enable = true;
    extraPackages = [ ];
  };

  # steam (and other high quality software) still ships 32 bit binaries
  hardware.opengl.driSupport32Bit = lib.mkDefault pkgs.stdenv.isx86_64;

  environment.systemPackages = with pkgs; [
    pkgs.gnome3.adwaita-icon-theme # lutris requires system-wide installation
  ];
}
